<!--REGGED PANE-->
<link href="tables.css" rel="stylesheet" type="text/css" />

<!--Initialize Java Beans-->
<?@ page import="com.yardpros.*" ?>
<jsp:useBean id="data" class="com.yardpros.DataBase" scope="session" />
<jsp:useBean id="user" class="com.yardpros.User" scope="session" />
<% 
  //Useful values about the user
  String username = (String)user.get("username");
  String password = (String)user.get("password");
  boolean loggedIn = !user.get("username").equals("");
  boolean admin;
  if( user.get("0admin") != null )
    admin = user.get("0admin").equals("true");
  else
    admin = false;
  boolean adminIsUpdating = false;
  boolean adminIsAdding = false;
  if(request.getParameter("username") != null)
  {
    adminIsUpdating = admin && data.checkEntry(request.getParameter("username"),"username","users");
    adminIsAdding = admin && !data.checkEntry(request.getParameter("username"),"username","users");
  }
  //out.println("loggedIn:"+loggedIn);
  //out.println("<br>admin:"+admin);
  //out.println("<br>adminIsUpdating:"+adminIsUpdating);
  //out.println("<br>adminIsAdding:"+adminIsAdding);
%>
      
<% 
    //Update the user in the database
    com.yardpros.User userToUpdate = new com.yardpros.User();
    
    userToUpdate.put("username",request.getParameter("username"));
    userToUpdate.put("password", request.getParameter("password"));
    userToUpdate.put("!password2", request.getParameter("!password2"));
    userToUpdate.put("firstname", request.getParameter("firstname"));
    userToUpdate.put("0middlename", request.getParameter("0middlename"));
    userToUpdate.put("lastname", request.getParameter("lastname"));
    userToUpdate.put("address", request.getParameter("address"));
    userToUpdate.put("0address2", request.getParameter("0address2"));
    userToUpdate.put("city", request.getParameter("city"));
    userToUpdate.put("state", request.getParameter("state"));
    userToUpdate.put("zipcode", request.getParameter("zipcode"));
    userToUpdate.put("country", request.getParameter("country"));
    userToUpdate.put("email", request.getParameter("email"));
    userToUpdate.put("0phone", request.getParameter("0phone"));
    try
    {
      //Check the fields
      userToUpdate.checkFields();
      //because there are two options for an admin, either updating or adding
      // and these are different methods.
      if( adminIsUpdating )
      { 
        boolean updateAdmin = (request.getParameter("0admin")) == null ?
                              false :
                              true;
        userToUpdate.put("0admin", Boolean.toString(updateAdmin) );
        userToUpdate.put("0notes", Boolean.toString(updateAdmin) );
        data.update(userToUpdate);
      }
      else if( adminIsAdding )
      {
        boolean updateAdmin = (request.getParameter("0admin")) == null ?
                              false :
                              true;
        userToUpdate.put("0admin", Boolean.toString(updateAdmin) );
        userToUpdate.put("0notes", Boolean.toString(updateAdmin) );
        data.add(userToUpdate);
      }
      //User did an update
      else
      {
        user.copyInto(userToUpdate);
        //If user is logged in
        if( loggedIn )
          data.update(user);
        else
          data.add(user);
      }
%>
<!--------------------------Show Registration Table---------------------->
  <b>Succussful!</b>  
  <table class = "table2" width = "50%">
        <tr>
            <td rowspan = "13" width = "15%">
                &nbsp;
            </td>
            <td>
                &nbsp;
            </td>
        </tr>       
<%     
     Object [] fieldNames = userToUpdate.keySet().toArray();
     for(int i = 0;i<fieldNames.length;i++)
     {
      //Optional fields won't print if empty  
      String temp = (String)fieldNames[i];
        if(temp.startsWith("!") || temp.startsWith("0"))
          temp = temp.substring(1);
        
        if(!(temp.equals("admin") || temp.equals("notes") || temp.startsWith("password")) )
          out.println("<tr><td>"+temp+": "+userToUpdate.get(fieldNames[i])+"</td></tr>");
     }
%>
<!------------------------End Table---------------------------------------> 
<%
    }
    //Catch all user input errors
    catch(com.yardpros.InvalidInputException e)
    {
      out.println("<b>Registration failed:</b>"+e.toString()+"<br/>");
      if( !loggedIn )
        user.clear();
    }
    catch(Exception e)
    {
      out.println("<b>Registration failed:</b><br/>"+
      e.toString()+"<br/>"+
      e.getStackTrace()[0].getClassName()+"<br/> "+
      e.getStackTrace()[0].getLineNumber()+"<br/> "+
      e.getStackTrace()[0].toString()+"<br/> "+
      "<br /> <br />");
      Object [] array = userToUpdate.keySet().toArray();
      for(int i=0;i<array.length;i++)
        out.println((String)array[i]+": "+userToUpdate.get(array[i])+"<br />");
        
      if( !loggedIn )
        user.clear();
    }
%>
<!--END REGGED PANE-->
