<!--SUBMITORDER PANE-->
<!--Initialize Java Beans-->
<jsp:useBean id="data" class="com.yardpros.DataBase" scope="session" />
<jsp:useBean id="user" class="com.yardpros.User" scope="session" />
<jsp:useBean id="cart" class="com.yardpros.Cart" scope="session" />

<%
  //Attempt to submit the order
  try
  {
    cart.setCreditCard(request.getParameter("creditcard"));
    cart.setCreditCardNumber(request.getParameter("creditcardnumber"));
    cart.setExpirationDate(request.getParameter("expirationdate"));
    cart.setConfirmNumber(request.getParameter("confirmnumber"));
    cart.checkout();
    data.add(cart,user);
    cart.clear();
%>
<table class="table2">
  <tr>
    <td>Thank You for shopping at Yard Pro's.  You should receive a confirmation email shortly.</td>
  </tr>
</table>
<%
  }
  //If the order fails print the java exception
  catch(com.yardpros.InvalidInputException e)
  {
    out.println("<b>Invalid Input:</b> "+e.toString());
  }
  catch(Exception e)
  {
    out.println("<b>Order failed:</b><br/>"+
    e.toString()+"<br/>"+
    e.getStackTrace()[0].getClassName()+"<br/> "+
    e.getStackTrace()[0].getLineNumber()+"<br/> "+
    e.getStackTrace()[0].toString()+"<br/> "+
    "<br /> <br />");
  }
%>
<!--END SUBMITORDER PANE-->
