<!--Initialize Java Beans-->
<jsp:useBean id="data" class="com.yardpros.DataBase" scope="session" />
<jsp:useBean id="user" class="com.yardpros.User" scope="session" />
<jsp:useBean id="cart" class="com.yardpros.Cart" scope="session" />
<%@ page import="com.yardpros.Links" %> 
<?@ page import="com.yardpros.*" ?>
<!--Initialize Java Formatter-->
<%! java.text.DecimalFormat formatter = new java.text.DecimalFormat(); %>
<%  formatter.setMinimumFractionDigits(2);
    formatter.setCurrency(java.util.Currency.getInstance(java.util.Locale.US));
%>
<link href="tables.css" rel="stylesheet" type="text/css" />
<!------------------------Start Cart Table------------------------------------>
<form action="index.jsp?link=<%= Links.CART %>" method="POST">
<table class="cart" width="400">
<%
  //If remove is checked
  if( request.getParameter("remove") !=null)
  {
    Integer removeRequest = new Integer(request.getParameter("remove"));
    cart.remove(removeRequest);
  }
  
  //Sets up the total to be incremented as the table builds
  double total = 0;
  //Checks to see that there are products in the cart
  if(!cart.keySet().toString().equals("[]"))
  {
%>
<!----------------------------Table Headers------------------------------------>
<tr>
  <th width="25%">Product</th>
  <th>Quantity</th>
  <th>Price</th>
</tr>
<tr><td colspan = "4"><hr width = "100%"/></td></tr>
<!------------------------End Table Headers------------------------------------>
<%
  //This avoids concurrently editing threads of the hash
  java.util.Map map = java.util.Collections.synchronizedMap(cart);
  java.util.Iterator iter = map.keySet().iterator();
  while(iter.hasNext())
  {
    Integer productID = (Integer)iter.next();
    int quantity = ((Integer)cart.get(productID)).intValue();
    String name = data.getEntry(productID, "productID", "name", "products");
    double price = Double.parseDouble( data.getEntry(productID, "productID", 
                                        "price", "products") );
    double subtotal = quantity * price;
    total = total + subtotal;
%>    
<!-----------------Insert Successful cart entries table----------------->
  <tr>
    <td width="15%"><%= name %></td>
    <td align = "center"><%= quantity %></td>
    <td>$<%= formatter.format(subtotal) %></td>
    <td><input type="checkbox" name="remove" value="<%=productID%>">Remove</a></td>
  </tr>
<!-------------------End Successful cart entries table---------------------_-->    
<%
    //end of looping
    }
%>
<!------------------------------cart table footer------------------------------>
  <tr><td colspan = "4"><hr width = "100%"/></td></tr>
  <tr>
    <td><a href="index.jsp?link=<%= Links.CHECKOUT %>"><b>Checkout</b></a></td>
    <td>&nbsp;</td>
    <td>Total <b>$<%= formatter.format(total) %></b></td>
    <td><input type="submit" value="Remove Items"></td>
  </tr>
<!-------------------------------end cart table footer ------------------------>
<%
  }
  else
    out.println("<tr><td>Your cart is empty.</td></tr>");
%>
</table>
</form>
<!---------------------------End Cart Table---------------------------------->

